summaryrefslogtreecommitdiffstats
path: root/trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild')
-rw-r--r--trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild b/trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild
new file mode 100644
index 00000000..d6b96737
--- /dev/null
+++ b/trinity-apps/tde-style-polyester/tde-style-polyester-14.1.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2024 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS="it pl"
+
+TRINITY_MODULE_TYPE="applications/themes"
+inherit trinity-base-2
+
+DESCRIPTION="Polyester widget style for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+src_prepare() {
+ sed 's/twin_polyester/twin3_polyester/' -i "${S}/client/CMakeLists.txt" || die
+ sed 's/twin_polyester/twin3_polyester/' -i "${S}/client/polyester.desktop" || die
+ trinity-base-2_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}